#lang racket
(require plot)

(define ϕ (/ (add1 (sqrt 5)) 2))
(define π pi)

(plot (list
       (polar-axes #:number 8)
       (polar (λ (θ) (expt ϕ (* θ (/ 2 π))))
              0 (* 4 pi)
              #:x-min -20 #:x-max 50
              #:y-min -40 #:y-max 30
              #:color "red"))
      #:title "Golden Spiral"
      #:x-label #f ; supress axis labels
      #:y-label #f)
