#lang at-exp racket
(require infix plot)

(parameterize
    ([plot-width 200]
     [plot-height 200]
     [plot-tick-size 0]
     [plot-font-size 0]
     [plot-x-label  #f]
     [plot-y-label  #f])
  
  (plot (list
         (polar-axes #:number 8)
         (polar (lambda (t) @${sin[2*t]})  0 (* 2 pi)
         #:x-min -1 #:x-max 1
         #:y-min -1 #:y-max 1))))